Subject: Re: bug#74146: ESHELL prompt shows incorrect working directory on a TRAMP remote host

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Nov 2024 09:27:16 +0200

> Date: Thu, 31 Oct 2024 17:39:48 -0700
> From: Jim Porter <[email-masked]>
> 
> Thanks for the report. This is an MS-Windows only issue, fixed in 
> 33997047e891d5513c4f33ab78ad353746ed16e2 on Emacs master (so version 31).
> 
> In the meantime though, you can customize 'eshell-pwd-convert-function' 
> to avoid this mis-conversion; the 'identity' option should work. (I'm 
> not actually sure why this has a different default value on MS-Windows 
> vs other paltforms, but it's been that way for a long time so I'll just 
> about opening that can of worms for now...)

I'm guessing that the difference is because we want to convert any
backslashes into forward slashes, and also make the drive letter
explicit if needed.  Perhaps it is worth our while to add a comment to
this effect there.